package cn.superdesk.uniorder.dto.vo.sys;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class SysBackAccountVo implements Serializable {

    private Long id;

    private Long dzMainId;

    private Long dzOrderId;

    private Integer backAccountPersonId;
    
    private String backAccountPerson;

    private Date backAccountTime;

    private Date backOperationTime;

    private BigDecimal backAccount;

    private String backAccountRemark;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDzMainId() {
        return dzMainId;
    }

    public void setDzMainId(Long dzMainId) {
        this.dzMainId = dzMainId;
    }

    public Long getDzOrderId() {
        return dzOrderId;
    }

    public void setDzOrderId(Long dzOrderId) {
        this.dzOrderId = dzOrderId;
    }

    public Integer getBackAccountPersonId() {
        return backAccountPersonId;
    }

    public void setBackAccountPersonId(Integer backAccountPersonId) {
        this.backAccountPersonId = backAccountPersonId;
    }

    public Date getBackAccountTime() {
        return backAccountTime;
    }

    public void setBackAccountTime(Date backAccountTime) {
        this.backAccountTime = backAccountTime;
    }

    public Date getBackOperationTime() {
        return backOperationTime;
    }

    public void setBackOperationTime(Date backOperationTime) {
        this.backOperationTime = backOperationTime;
    }

    public BigDecimal getBackAccount() {
        return backAccount;
    }

    public void setBackAccount(BigDecimal backAccount) {
        this.backAccount = backAccount;
    }

    public String getBackAccountRemark() {
        return backAccountRemark;
    }

    public void setBackAccountRemark(String backAccountRemark) {
        this.backAccountRemark = backAccountRemark;
    }
    

    public String getBackAccountPerson() {
		return backAccountPerson;
	}

	public void setBackAccountPerson(String backAccountPerson) {
		this.backAccountPerson = backAccountPerson;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dzMainId=").append(dzMainId);
        sb.append(", dzOrderId=").append(dzOrderId);
        sb.append(", backAccountPersonId=").append(backAccountPersonId);
        sb.append(", backAccountTime=").append(backAccountTime);
        sb.append(", backOperationTime=").append(backOperationTime);
        sb.append(", backAccount=").append(backAccount);
        sb.append(", backAccountRemark=").append(backAccountRemark);
        sb.append("]");
        return sb.toString();
    }
}